Bug 192014 - vnc install fails with a BadRequest
vnc install fails with a BadRequest
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-05-16 16:05 EDT by Doug Chapman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 10:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2006-05-16 16:05:18 EDT
Description of problem:
Not sure if this issue should go to anaconda or vnc developers please reassign
if it should be vnc...

Doing a VNC install on my HP Integrity (ia64) servers the installer dies quickly
with the following:


Gdk-ERROR **: The program 'mini-wm' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest'.
  (Details: serial 72 error_code 1 request_code 146 minor_code 2)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...


at this point I can still connect to the vnc server which is still running but
nothing is running in it (i.e. no window manager or installer, just a mouse
pointer).  This is the first I have done a VNC install on rawhide however one of
my HP co-workers did a VNC install a couple weeks back that worked OK so it
appears this may be a recent issue.  He was using the 0425 build of rawhide.


Version-Release number of selected component (if applicable):
rawhide-20060516
vnc-server-4.1.1-38
anaconda-11.1.0.11-1


How reproducible:
100%

Steps to Reproduce:
1. boot installer with "vnc vncpassword=redhat"
2. wait for anaconda to start vnc
3. see error messages
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2006-06-23 10:27:29 EDT
Working in recent builds.  Verified on rawhide-20060623.

Note You need to log in before you can comment on or make changes to this bug.